| Home | Libraries | People | FAQ | More

## Function template replace_placeholders

boost::yap::replace_placeholders

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<typename Expr, typename... T>
      decltype(auto) replace_placeholders(Expr && expr, T &&... t);

## Description

Returns expr with the placeholders replaced by YAP terminals containing the given values.

| Note
`replace_placeholders(expr, t...)` is only valid if expr is an expression, and `max_p <= sizeof...(t)`, where `max_p` is the maximum placeholder index in expr.